OpenGL-2.2.3.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Graphics.Rendering.OpenGL.GL.PixelRectangles.Histogram

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data Sink

Constructors

PassThrough |
Sink |

Instances

Eq Sink |
Ord Sink |
Show Sink |

histogram :: Proxy -> StateVar (Maybe (GLsizei, PixelInternalFormat, Sink))

data Reset

Constructors

NoReset |
Reset |

Instances

Eq Reset |
Ord Reset |
Show Reset |

getHistogram :: Reset -> PixelData a -> IO ()

resetHistogram :: IO ()

histogramRGBASizes :: Proxy -> GettableStateVar (Color4 GLsizei)

histogramLuminanceSize :: Proxy -> GettableStateVar GLsizei